summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Erik Falor2017-07-30 19:21:51 +0200
committer Willy Sudiarto Raharjo2017-08-05 02:07:24 +0200
commit60ad1b68c6dd892cbf1227167a247102a800d917 (patch)
treecd9520847ec043d38356432e99b2aac9778f9ec4 /misc
parentbf6ac2ac9081c88d8372f793dc6fed3d165fcd3a (diff)
downloadold.slackbuilds-60ad1b68c6dd892cbf1227167a247102a800d917.tar.gz
misc/figlet-contributed: Added (contributed font set for FIGlet).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/figlet-contributed/README21
-rw-r--r--misc/figlet-contributed/figlet-contributed.SlackBuild88
-rw-r--r--misc/figlet-contributed/figlet-contributed.info10
-rw-r--r--misc/figlet-contributed/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/misc/figlet-contributed/README b/misc/figlet-contributed/README
new file mode 100644
index 0000000000..86f226c8b2
--- /dev/null
+++ b/misc/figlet-contributed/README
@@ -0,0 +1,21 @@
+Contributed font set for FIGlet
+
+This font distribution includes several fonts which were automatically derived
+from other formats, and which are optionally installed by this SlackBuild
+script.
+
+To install the C64-derived fonts pass
+ C64=yes
+to the SlackBuild script. This will replace the default computer, gothic and
+roman fonts with versions derived from C64 programs.
+
+To install the BDF-derived fonts pass
+ BDF=yes
+to the SlackBuild script.
+
+Obanner is the font of banner(6), the ubiquitous UN*X command by Mark Horton.
+The default behavior is to install the Obanner font in sizes 16, 24, 36, 48,
+56, 64, 72, 80, 132. To install font sizes 1-132 (though sizes 1-15 are
+almost certainly useless), pass
+ OBANNER_ALL=yes
+to the SlackBuild script.
diff --git a/misc/figlet-contributed/figlet-contributed.SlackBuild b/misc/figlet-contributed/figlet-contributed.SlackBuild
new file mode 100644
index 0000000000..2b9c94975c
--- /dev/null
+++ b/misc/figlet-contributed/figlet-contributed.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for figlet-contributed
+
+# Copyright 2017 Erik Falor Logan, UT, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=figlet-contributed
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+FONTS="$(printf $PRGNAM | cut -d- -f2-)"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $FONTS
+tar xvf $CWD/$FONTS.tar.gz
+cd $FONTS
+
+if [ "${OBANNER_ALL:-no}" = "yes" ]; then
+ tar xvf Obanner.tgz
+ ln -f Obanner/README Obanner.README
+ ln -f Obanner/*.flf .
+else
+ tar xvf Obanner-canon.tgz
+ ln -f Obanner-canon/README Obanner.README
+ ln -f Obanner-canon/*.flf .
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${C64:-no}" = "yes" ]; then
+ ln -f C64-fonts/*.flf .
+fi
+
+if [ "${BDF:-no}" = "yes" ]; then
+ ln -f bdffonts/README bdffonts.README
+ ln -f bdffonts/*.flf .
+ mkdir -p $PKG/usr/bin
+ cp bdffonts/bdf2flf.pl $PKG/usr/bin/bdf2flf.pl
+ chmod 755 $PKG/usr/bin/bdf2flf.pl
+fi
+
+mkdir -p $PKG/usr/share/figlet
+cp *.flf *.flc $PKG/usr/share/figlet
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp *README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/figlet-contributed/figlet-contributed.info b/misc/figlet-contributed/figlet-contributed.info
new file mode 100644
index 0000000000..4f4a603be8
--- /dev/null
+++ b/misc/figlet-contributed/figlet-contributed.info
@@ -0,0 +1,10 @@
+PRGNAM="figlet-contributed"
+VERSION="1.0"
+HOMEPAGE="http://www.figlet.org/"
+DOWNLOAD="ftp://ftp.figlet.org/pub/figlet/fonts/contributed.tar.gz"
+MD5SUM="6e2dec4499f7a7fe178522e02e0b6cd1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="figlet"
+MAINTAINER="Erik Falor"
+EMAIL="ewfalor@gmail.com"
diff --git a/misc/figlet-contributed/slack-desc b/misc/figlet-contributed/slack-desc
new file mode 100644
index 0000000000..7fe9a9409b
--- /dev/null
+++ b/misc/figlet-contributed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+figlet-contributed: figlet-contributed (contributed font set for FIGlet)
+figlet-contributed:
+figlet-contributed: This font distribution includes several fonts which were
+figlet-contributed: automatically derived from other formats.
+figlet-contributed:
+figlet-contributed:
+figlet-contributed:
+figlet-contributed:
+figlet-contributed:
+figlet-contributed:
+figlet-contributed: